Subject: Re: bug#66509: 29.1.50; let-alist should support numeric indexing

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Aug 2025 08:44:58 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Thu, 28 Aug 2025 15:05:08 -0400
> 
> Stefan Kangas <[email-masked]> writes:
> 
> > Stefan Kangas <[email-masked]> writes:
> >
> >> reopen 66509
> >> thanks
> >>
> >>>> Pushed to master (commit ae4171efdc6).
> >>>>
> >>>> I'm therefore closing this bug report.
> >>
> >> I'm reopening this bug report, based on this request from Robert Pluim:
> >>
> >>> Would it be possible to update the elisp manual as well (and maybe add
> >>> an entry to NEWS)?
> >>
> >> I think that should be done also, so I'm reopening the bug to track that
> >> work.  Spencer, do you think you could you please address it?
> >>
> >> Bonus points for adding tests, as requested by Eli.
> >
> > Ping!
> 
> Done in attached patch.

Thanks.

> ++++
> +** 'let-alist' supports indexing into lists

Heading lines in NEWS should end in a period.

> +The macro 'let-alist' now interprets symbols containing numbers as list
> +indexes.  For example, '.key.0' looks up 'key' in the alist and then

"indices", I guess?

Also, I see no patch for the ELisp manual, although the "+++" mark in
NEWS seems to imply that the manual was updated.  But the current
manual doesn't seem to say anything about keys that include indices,
or did I miss something?